Airbus

No MU-2B version 2.4 at FlightSim Store?

Recommended Posts

I have unable to get version 2.4 update from the FlightSim store where it was originally purchased.  I have downloaded the file from my account 3 times and it is always shows version 2.3.dated 1/22/17. I have emailed them twice about the problem and they have not replied. I can't get the update from Flysimware because I did not purchase it from them.  Could anyone suggest the best way to proceed to get this update? Could Flysimware contact FSS on my behalf to resolve this matter?

Thanks for any help!

Al

 

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

They were painfully slow to upload the P3D v4 version of the A2A 172 as well. They also failed to respond to my two emails on that subject. I would have thought having lost Orbx that they would be sharper than that.

Share this post


Link to post
Share on other sites

They seems to be VERY slow at the Flightsimstore:angry:! I asked them kindly when the Carenado 337 V2 will be available at least two weeks ago and I got no answer till now:huh:, so I guess you are in the same boat as me. Now I will only buy the products with the developpers if they sell themself or PC Aviator US!

Cheers

Pat 

Share this post


Link to post
Share on other sites

I always prefer to buy directly from the developer unless there is a good reason not to. Not only are updates more readily available, but I rather have all my money go to the guys who did the development work.  My limited understanding is that 'third party stores' often take a large percentage of the purchase price  -- on the order of 25 to 30 percent.

Al

Share this post


Link to post
Share on other sites

I bought the Mitusbishi MU-2B from the FlightSim Store as well and can't get the latest version of it either. Just Flight had the latest version of this plane out ages ago (I learned that through their monthly newsletter). Should have bought it from there instead.

Incidentally, the last e-mail notification I had from the FlightSim Store about this product was for Version 2.2, so I probably don't even have 2.3!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now